=== debian/changelog ===
clam (1.3.1~svn12860-1ubuntu1) jaunty; urgency=low

  * CLAM/debian/watch: pointed to clam-X.Y.Z instead of CLAM-X.Y.Z
  * CLAM/debian/watch: debian uupdate parameters added

 -- CLAM Team <developers@clam-project.org>  Thu, 11 Jun 2009 20:55:01 +0200

clam (1.3.1~svn12860-1) unstable; urgency=low

  * CLAM/debian/libclam-doc.examples: avoiding duplicate examples/examples dir
  * CLAM/debian/rules: not tarbalizing doxygen and examples
  * CLAM/debian/rules: removed traces of plugin installation which is in a
    different src package now
  * CLAM/debian/libclam-doc.examples/docs: Doxygen is docs while examples are
    examples
  * CLAM/debian/libclam-doc.examples/docs: Taking folders instead of the
    tarballs
  * CLAM/debian/changelog: updated.
  * CLAM/debian/control: not depending on libxerces28-dev as this makes lintian
    complain even being one of many alternatives
  * Updated the new website to http://clam-project.org
  * debian specific files not part of upstream tarball
  * Added David García Garzón as Uploader

 -- CLAM Team <developers@clam-project.org>  Wed, 04 Mar 2009 21:45:40 +0100

clam (1.3.1~svn12519-1) unstable; urgency=low

  * New upstream release.
  * Not built as a native package anymore.
  * Examples and doxygen are not tarballed but provided as independent files.
  * Setting the distribution to unstable.

 -- CLAM Team <clam@iua.upf.edu>  Tue, 23 Dec 2008 09:09:56 +0100

clam (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Paul Brossier changes:
    * debian/control: added myself to Uploaders, use 
    * debian/control: added Vcs-Browser and Vcs-Svn fields
    * debian/rules: add verbose=1 option
    * debian/: set svn-bp properties

  * Python dependency required for libclam-dev
  * debian/rules: install_prefix -> prefix_for_packaging
  * debian/rules: Adapted to new configure way (any option means configure and stop)
  * debian/rules: configure needs the target dir to be created
  * removed osc dependencies
  * debian/control: fftw3 -> libfftw3
  * temptative compilation of plugins within the debian package
  * fix on debian/rules to compile plugins, lets try again!
  * debian/rules: hack to make scons -c work (complained about non existing clam prefix)
  * debian/rules: Removed the code to compile plugins.
  * /debian/control: Standards version upgrade
  * debian/menu: 'Apps' deprecated in favor of Applications
  * debian/control: Changed the mainainer email to match the one in the build script
  * debian rules files updated because the rename of the Guitar plugin
  * debian/control: added alternative dependency to libxerces-c2-dev
  * debian/control: matching the soname number 13
  * CLAM/debian/control: description: -dev file is no more a metapackage.
  * CLAM/debian/control: description refers to libclam-XXXX instead of clam-XXX
  * CLAM/debian/control: description: libclam does not contain development files,
   libclam-dev do
  * debian/libclam0.install renamed as debian/libclam13.install
  * debian/rules: updated to the libclam13 name
  * debian/control: removed hard version dependency from the examples
    packages to the binary ones to enable binary Non-Maintainer-Updates.

 -- CLAM Team <clam@iua.upf.edu>  Tue, 23 Dec 2008 09:08:27 +0100

clam (1.1.1~svn11102-1) unstable; urgency=low

  * Build of current trunk based on latest svn snapshot

 -- Paul Brossier <piem@debian.org>  Tue, 29 Jan 2008 16:15:23 +0100

clam (1.0.1-1) unstable; urgency=low

  * debian/rules: Updated to follow Sconstruct changes (changed location and removed vmqt module)

 -- Giulio Paci <giuliopaci@interfree.it>  Sat,  7 Apr 2007 15:06:32 +0200

clam (0.99.0-1) feisty; urgency=low

  * debian/control: python dependency required for libclam-dev
  * debian/rules,control: Enabling portaudio and fftw3
  * Paul Brossier contributed changes:
    * debian/watch: add debian watch file, to use with uscan. please update tarball names (e.g. clam-0.99.tar.gz)
    * debian/rules: do not use QTDIR
    * debian/copyright: add download url
    * debian/rules: fix typo in SCONS_ENV
    * debian/dirs: remove dirs file (nothing in /usr/*bin and *.install files do the work)
    * debian/rules: always use the same scons options, remove blank lines, move scons configure to configure rules
    * debian/rules: remove commented lines from dh_make template
    * debian/*.install: add install files, use dh_install --sourcedir=debian/tmp
    * debian/rules: make use of dh_installdocs to install files in /u/s/d/libclam-doc
    * debian/*.ex: deleted useless dh_make templates
    * debian/control: add Section: libs to source package
    * debian/rules: make sure we build with alsa, and not with portaudio, clean cleaner

 -- CLAM Team <clam@iua.upf.edu>  Fri,  9 Feb 2007 14:01:51 +0100

clam (0.98.0-1) feisty; urgency=low

  * New upstream release 
  * libclam_vmfl is not included any more.
  * debian/rules simplified: removed redundant "rm" commands 
  * lintian advice: Added dependency to python
  * lintian advice: scons/sconstools/addDependentLibsToBundle.py is not
    installed

 -- CLAM Team <clam@iua.upf.edu>  Fri,  9 Feb 2007 14:01:51 +0100

clam (0.97.0-1) unstable; urgency=low

  * Collapsed multiple libclam-* packages in libclam0 and libclam-dev
  * Disabled doxygen source browsing to reduce libclam-doc size
  * Added conflict with old splitted clam packages

 -- CLAM Team <clam@iua.upf.es>  Sat, 30 Dec 2006 10:22:34 +0100
 

clam (0.96.0-1) unstable; urgency=low

  * New upstream release

 -- CLAM Team <clam@iua.upf.es>  Wed, 22 Dec 2006 10:22:34 +0100

clam (0.95.0-1) unstable; urgency=low

  * New upstream release

 -- CLAM Team <clam@iua.upf.es>  Wed, 22 Nov 2006 10:22:34 +0100

clam (0.91.0-1) unstable; urgency=low

  * New upstream release
  * Package descriptions updated
  * Added interdependencies for libclamX packages
  * Proper sections (libdev -> libdevel)
  * Removed xlib-dev that is no more in xorg
  * Removed versions on most build deps so they have not to be

