=== plugins/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g
SCONS_OPTIONS= prefix_for_packaging=$(CURDIR)/debian/tmp/usr prefix=/usr release=yes
SCONS= scons
PLUGINS=continuousExcitationSynthesizer spacialization GuitarEffects Filters samplebysample speech sndfile MIDI # osc

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(CURDIR)/debian/tmp/usr
#	cd $(CURDIR); $(SCONS) configure $(SCONS_OPTIONS)
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	for plugin in $(PLUGINS); do cd $(CURDIR)/$$plugin; $(SCONS) clam_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr; done
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	for plugin in $(PLUGINS); do cd $(CURDIR)/$$plugin; $(SCONS) -c clam_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr; done
	find $(CURDIR) -name .*sconf_temp* | xargs rm -rf
	find $(CURDIR) -type f -name *.pyc | xargs rm -rf
	find $(CURDIR) -type f -name *.o | xargs rm -rf
	find $(CURDIR) -type f -name *.os | xargs rm -rf
	find $(CURDIR) -type f -name *.so* | xargs rm -rf
	find $(CURDIR) -type f -name *.a | xargs rm -rf
	find $(CURDIR) -type f -name .*.swp | xargs rm -rf
	find $(CURDIR) -type f -name .sconsign | xargs rm -rf
	find $(CURDIR) -type f -name *.db | xargs rm -rf
	-rm -rf $(CURDIR)/*/.sconsign.dblite 
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr
	for plugin in $(PLUGINS); do cd $(CURDIR)/$$plugin; $(SCONS) install; done
	find $(CURDIR)/debian/tmp/usr
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=libclam-plugins1.4-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
