=== debian/watch ===
version=3
http://clam-project.org/download/src/svnsnapshots/index.html CLAM-(.*)\.tar\.gz debian uupdate
http://clam-project.org/download/src/index.html CLAM-(.*)\.tar\.gz debian uupdate
